import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

//登记使用
export const mpDeviceUsageStart = (data) => {
	return apiResquest({
		url: `/device/mp/device/usage/start`,
		method: 'POST',
		data: { ...data }
	})
};
//结束使用
export const mpDeviceUsageEnd = (data) => {
	return apiResquest({
		url: `/device/mp/device/usage/end/`+data.deviceId,
		method: 'POST',
	})
};
//我的使用记录
export const mpDeviceUsageList = (data) => {
	return apiResquest({
		url: `/device/mp/device/usage/my-list/`,
		method: 'POST',
		data: { ...data }
	})
};
//设备详情
export const mpDeviceDetail = (data) => {
	return apiResquest({
		url: `/device/mp/device/detail`,
		method: 'GET',
		data: data,
	})
};
